% start to analyze results by loading the saved 
% results 
clear *
close all

set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultAxesFontSize',15)
colormap jet

%a=load('AirBox.mat'); a.rho a.cp 
b=load('WaterBox.mat');

figure(1), clf
imagesc([0 b.Lx],[0 b.Ly],b.T(b.iny,b.inx))
axis equal
axis tight, colorbar
xlabel('x (m)')
ylabel('y (m)')

print -dpng TemperatureWater


% +- is user responsibility
% top wall heat flux
dTdy_b = b.k*(b.T(1,b.inx)-b.T(2,b.inx))/b.dy; % here positive

dTdx_b = b.k*(b.T(b.iny,1) - b.T(b.iny,2))/b.dx; % here negative

figure(3), clf
plot(dTdy_b)

figure(4), clf
plot(dTdx_b)


% J/s entering from top
Qtop = sum(dTdy_b.*b.dx)*b.Lx;

% J/s exiting from left
Qleft = sum(dTdx_b.*b.dy)*b.Ly; 






