
if(mod(t,100)==0)
figure(1), cla, box

    set(gcf, 'Position',  [100, 100, 500, 400])
    imagesc([min(min(X)) max(max(X))],[min(min(Y)) max(max(Y))], T(iny,inx)), axis equal, ...
    axis tight
        ylabel('y [m]')
        xlabel('x [m]')
        colorbar, caxis([293 750]), drawnow
        h=text(0.4,-0.025,'T [K]'); set(h,'Fontsize',16);
        set(h,'FontName','Times New Roman');
        pause(0.01)

end

HowOftenPlot = 100; % plot every Nth timestep (N=HowOftenPlot)
if(mod(t,HowOftenPlot)==0) % to plot only every Nth timestep
figure(2), box
set(gcf, 'Position',  [700, 100, 500, 400])
plot(t*dt/3600, mean(mean(T(iny,inx))),'k.'), hold on
plot([0 t*dt]/3600, 293*[1 1],'r-','Linewidth',2)
        ylabel('Average temperature [K]')
        xlabel('Time [h]')
        myTmean(round(t/HowOftenPlot)) = mean(mean(T(iny,inx)));
        myTimes(round(t/HowOftenPlot)) = t*dt/3600;
        drawnow
end

